Author Topic: Weewx working fine until I install forecasting  (Read 204 times)

0 Members and 1 Guest are viewing this topic.

Offline macfoo

  • Member
  • *
  • Posts: 2
Weewx working fine until I install forecasting
« on: May 24, 2020, 06:21:12 PM »
Have WeeWX up running on an rpi4 w/ latest version of Raspbian.
The below happens when it attempts to archive after installing the forecasting.
If I uninstall things return to normal.

I've tried NWS and WU as sources of data within the .conf file, even going as far as trimming out any resources included that I don't plan on using.
WeeWX was installed using the following method:
http://weewx.com/docs/debian.htm

Any ideas?

Code: [Select]
May 24 18:12:29 pi weewx[10591] CRITICAL __main__: Caught unrecoverable exception:
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  '>' not supported between instances of 'float' and 'NoneType'
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  Traceback (most recent call last):
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 195, in run
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      self.dispatchEvent(weewx.Event(weewx.CHECK_LOOP, packet=packet))
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 224, in dispatchEvent
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      callback(event)
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 578, in check_loop
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      raise BreakLoop
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  weewx.engine.BreakLoop
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     **** 
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  During handling of the above exception, another exception occurred:
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     **** 
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  Traceback (most recent call last):
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 594, in post_loop
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      self._catchup(self.engine.console.genArchiveRecords)
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 638, in _catchup
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      for record in generator(lastgood_ts):
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/drivers/__init__.py", line 30, in genArchiveRecords
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      raise NotImplementedError("Method 'genArchiveRecords' not implemented")
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  NotImplementedError: Method 'genArchiveRecords' not implemented
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     **** 
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  During handling of the above exception, another exception occurred:
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     **** 
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  Traceback (most recent call last):
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewxd", line 154, in main
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      engine.run()
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 202, in run
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      self.dispatchEvent(weewx.Event(weewx.POST_LOOP))
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 224, in dispatchEvent
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      callback(event)
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 596, in post_loop
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      self._software_catchup()
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 658, in _software_catchup
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      origin='software'))
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/weewx/engine.py", line 224, in dispatchEvent
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      callback(event)
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****    File "/usr/share/weewx/user/forecast.py", line 1212, in update_forecast
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****      elif time.time() - self.interval > self.last_ts:
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  TypeError: '>' not supported between instances of 'float' and 'NoneType'
May 24 18:12:29 pi weewx[10591] CRITICAL __main__:     ****  Exiting.